Actions

Difference between revisions of "External Libraries in Joomla"

From Joomla! Documentation

(Add in rest of library versions)
(Update PHPMailer versions)
Line 39: Line 39:
 
|  valign="middle" style="background-color:#ccc;" | Version 2.1.0
 
|  valign="middle" style="background-color:#ccc;" | Version 2.1.0
 
|  valign="middle" style="background-color:#ccc;" | 1.2
 
|  valign="middle" style="background-color:#ccc;" | 1.2
|
+
| valign="middle" style="background-color:#ccc;" | 5.2.1
 
|  valign="middle" style="background-color:#ccc;" | 0.5
 
|  valign="middle" style="background-color:#ccc;" | 0.5
 
|  valign="middle" style="background-color:#ccc;" | N/A<ref name="na30">Not applicable, this library was not included with Joomla! CMS version 3.0.</ref>
 
|  valign="middle" style="background-color:#ccc;" | N/A<ref name="na30">Not applicable, this library was not included with Joomla! CMS version 3.0.</ref>
Line 52: Line 52:
 
|  valign="middle" style="background-color:#eeefff;" | Version 2.1.0
 
|  valign="middle" style="background-color:#eeefff;" | Version 2.1.0
 
|  valign="middle" style="background-color:#eeefff;" | 1.2
 
|  valign="middle" style="background-color:#eeefff;" | 1.2
|  valign="middle" style="background-color:#eeefff;" | 5.2.3
+
|  valign="middle" style="background-color:#eeefff;" | 5.2.2
 
|  valign="middle" style="background-color:#eeefff;" | 0.5<ref name="dep3.1">This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0</ref>
 
|  valign="middle" style="background-color:#eeefff;" | 0.5<ref name="dep3.1">This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0</ref>
 
|  valign="middle" style="background-color:#eeefff;" | N/A<ref name="na31">Not applicable, this library was not included with Joomla! CMS version 3.1.0.</ref>
 
|  valign="middle" style="background-color:#eeefff;" | N/A<ref name="na31">Not applicable, this library was not included with Joomla! CMS version 3.1.0.</ref>
Line 65: Line 65:
 
|  valign="middle" style="background-color:#eeefff;" | Version 2.3.2<ref>Contains some 2.1 backward compatibility defaults</ref>
 
|  valign="middle" style="background-color:#eeefff;" | Version 2.3.2<ref>Contains some 2.1 backward compatibility defaults</ref>
 
|  valign="middle" style="background-color:#eeefff;" | 1.2
 
|  valign="middle" style="background-color:#eeefff;" | 1.2
|  valign="middle" style="background-color:#eeefff;" | 5.2.3
+
|  valign="middle" style="background-color:#eeefff;" | 5.2.2
 
|  valign="middle" style="background-color:#eeefff;" | 0.5<ref name="dep3.1"></ref>
 
|  valign="middle" style="background-color:#eeefff;" | 0.5<ref name="dep3.1"></ref>
 
|  valign="middle" style="background-color:#eeefff;" | 0.8.0
 
|  valign="middle" style="background-color:#eeefff;" | 0.8.0

Revision as of 18:50, 29 June 2013

A Joomla! installation contain external libraries which are included with Joomla! CMS version releases. These external libraries are not part of the core code. Please read the Notes section as they may contain more information, such as a external library version change released with a maintenance release.

External Libraries by Joomla Release

CMS Version Released Supported Mootools Mootools More jQuery jQuery UI
(Core, Widget, Mouse, Position, and Sortable)
Bootstrap Simple Pie PHP Mailer PHP UTF-8 IDNA Convert
2.5
Checkmark.png
Checkmark.png
1.4.5[1] 1.4.0.1 N/A[2] N/A[2] N/A[2] 1.2 5.2.1 0.5 N/A[2]
3.0
Checkmark.png
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 Version 2.1.0 1.2 5.2.1 0.5 N/A[3]
3.1
Checkmark.png
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 Version 2.1.0 1.2 5.2.2 0.5[4] N/A[5]
3.1.2
Checkmark.png
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 Version 2.3.2[6] 1.2 5.2.2 0.5[4] 0.8.0
3.2 Sept 2013
3.5 Mar 2014
4.0 Sept 2014

Notes

  1. Contains a 1.2 compatibility layer
  2. 2.0 2.1 2.2 2.3 Not applicable, this library was not included with Joomla! CMS version 2.5.
  3. Not applicable, this library was not included with Joomla! CMS version 3.0.
  4. 4.0 4.1 This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0
  5. Not applicable, this library was not included with Joomla! CMS version 3.1.0.
  6. Contains some 2.1 backward compatibility defaults